import { ajax } from "../sdk/ajax";
// 系统配置

/* 获取设备配置 DeviceConfig*/
export const reqDeviceConfig = () => ajax("get", "/publics/sysconf/get", {code: 'piglet_deviceConfig'})
// 添加设备配置
export const reqAddOrUpdateDeviceConfig = (data) => {
    if(data.id) {
        return ajax("post", "/publics/sysconf/update", data)
    } else {
        return ajax("post", "/publics/sysconf/add", data)
    }
}


/* 获取软件配置 SoftwareSet*/
export const reqSoftwareSet = () => ajax("get", "/publics/sysconf/get", {code: 'piglet_softwareSet'})
// 添加设备配置
export const reqAddOrUpdateSoftwareSet = (data) => {
    if(data.id) {
        return ajax("post", "/publics/sysconf/update", data)
    } else {
        return ajax("post", "/publics/sysconf/add", data)
    }
}

